From bd8e940f1ace2d87deec1e85546d9a5994a84031 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Henrik=20tom=20W=C3=B6rden?= <henrik@trineo.org>
Date: Tue, 24 Mar 2020 12:48:25 +0100
Subject: [PATCH] MAINT: set -e after sourcing files

---
 make_db                 | 3 ++-
 patches/applyPatches.sh | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/make_db b/make_db
index dee06fe..b80fd0d 100755
--- a/make_db
+++ b/make_db
@@ -23,10 +23,11 @@
 # ** end header
 
 # To fail fast, but beware https://mywiki.wooledge.org/BashFAQ/105
-set -e
 
 source utils/load_settings.sh
 
+set -e
+
 function fail() {
   echo "Some error occured, exiting."
   exit 1
diff --git a/patches/applyPatches.sh b/patches/applyPatches.sh
index 660d8da..0b1aced 100755
--- a/patches/applyPatches.sh
+++ b/patches/applyPatches.sh
@@ -25,10 +25,10 @@
 #
 
 #apply all available patches.
-set -e
 PATCHES="./patch*/patch.sh"
-
 . $UTILSPATH/helpers.sh
+
+set -e
 for p in $PATCHES
 do
     $p "$@" --patch=$p
-- 
GitLab